Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class DynRoot_Indirect

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.rdl.Declaration_Indirect
              rdlc.rdl.DynRoot_Indirect

All Implemented Interfaces:
  Declaration, DynRoot, Expression

Direct Known Subclasses:
  Map_Indirect, Platform_Indirect, Unit_Indirect

    public abstract class DynRoot_Indirect

extends Declaration_Indirect
implements DynRoot

Builds on `Declaration_Indirect` by including accessors for an indirect `DynRoot`. This is a very simple shell class.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary

Fields inherited from class rdlc.rdl.Declaration_Indirect
`rawTargetID, target`

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`DynRoot_Indirect(Namespace _namespace)`
`DynRoot_Indirect(RawStaticIdentifier _rawTargetID)`

Method Summary
`Instance` | `getInstance()` Simple accessor.
`boolean` | `isLeaf()` Simple accessor.
`boolean` | `isRoot()` Simple accessor.

Methods inherited from class rdlc.rdl.Declaration_Indirect
`getBase, getLambdaName, getNamedBase, getRequirements, getTarget, getType, resolve, typeMatch`

Methods inherited from class rdlc.rdl.Declaration_Named
`getIdentifier, getRawStaticID, setNamespace, setRawStaticID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getLambdaName, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Constructor Detail

### DynRoot_Indirect

    public DynRoot_Indirect(RawStaticIdentifier _rawTargetID)

See Also:
  `Declaration_Indirect.Declaration_Indirect(RawStaticIdentifier)`

### DynRoot_Indirect

    public DynRoot_Indirect(Namespace _namespace)

See Also:
  `Declaration_Indirect.Declaration_Indirect(Namespace)`

Method Detail

### getInstance

    public Instance getInstance()

  Simple accessor.

  Specified by:
    `getInstance` in interface `DynRoot`
  Returns:
    The instance of the target of this indirection.
  See Also:
    `DynRoot.getInstance()`

### isLeaf

    public boolean isLeaf()

  Simple accessor.

  Specified by:
    `isLeaf` in interface `DynRoot`
  Returns:
    `true` if the target of this indirection is a leaf.
  See Also:
    `DynRoot.isLeaf()`

### isRoot

    public boolean isRoot()

  Simple accessor.

  Specified by:
    `isRoot` in interface `DynRoot`
  Returns:
    `true` if the target of this indirection is a root.
  See Also:
    `DynRoot.isRoot()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD